GNU bug report logs - #15955
df hides original mount point instead of bind mount

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Phillip Susi <psusi@HIDDEN>; dated Fri, 22 Nov 2013 22:00:04 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.

Message received at 15955 <at> debbugs.gnu.org:


Received: (at 15955) by debbugs.gnu.org; 27 Nov 2013 01:49:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 20:49:02 2013
Received: from localhost ([127.0.0.1]:46602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VlUFS-0007np-0N
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2013 20:49:02 -0500
Received: from cdptpa-omtalb.mail.rr.com ([75.180.132.120]:65505)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <psusi@HIDDEN>) id 1VlUFO-0007nO-EA
 for 15955 <at> debbugs.gnu.org; Tue, 26 Nov 2013 20:48:59 -0500
X-Authority-Analysis: v=2.0 cv=cq4ZYiEi c=1 sm=0 a=3SewDSjaRW4vdJyuxQ33ZQ==:17
 a=JlIHnqCoHBcA:10 a=RLZVW1yFhcwA:10 a=S1A5HrydsesA:10 a=DeBnktw0k-IA:10
 a=8nJEP1OIZ-IA:10 a=fxJcL_dCAAAA:8 a=KGjhK52YXX0A:10 a=lBKPh5FM6RUA:10
 a=QfKxxUxMAAAA:8 a=TVq3TivUpn5G_e-BfAUA:9 a=wPNLvfGTeEIA:10
 a=1iDXslHvGNNAMyrJ:21 a=vnvfHDmM8dg_rYFa:21 a=3SewDSjaRW4vdJyuxQ33ZQ==:117
X-Cloudmark-Score: 0
X-Authenticated-User: 
X-Originating-IP: 72.238.73.171
Received: from [72.238.73.171] ([72.238.73.171:53559] helo=[192.168.1.6])
 by cdptpa-oedge04.mail.rr.com (envelope-from <psusi@HIDDEN>)
 (ecelerity 2.2.3.46 r()) with ESMTP
 id 59/AF-25023-98F45925; Wed, 27 Nov 2013 01:48:57 +0000
Message-ID: <52954F89.5040101@HIDDEN>
Date: Tue, 26 Nov 2013 20:48:57 -0500
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.1.1
MIME-Version: 1.0
To: Bernhard Voelker <mail@HIDDEN>
Subject: Re: bug#15955: df hides original mount point instead of bind mount
References: <528FD3B0.7090406@HIDDEN>
 <529000AC.6060709@HIDDEN> <52915175.7080202@HIDDEN>
 <5291D3EA.7060906@HIDDEN> <52928BF1.6060201@HIDDEN>
 <529530D2.3090507@HIDDEN>
In-Reply-To: <529530D2.3090507@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15955
Cc: 15955 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 11/26/2013 06:37 PM, Bernhard Voelker wrote:
> As already mentioned, the current implementation is not ideal. It
> is a compromise between the requirements which hit 'df' at that
> time:
> 
> * showing the real root file system instead of early-boot rootfs:
> 
> $ src/df -a | grep ' /$' rootfs            12095032   7988888
> 3491744  70% / /dev/sda1         12095032   7988888   3491744  70%
> /

That doesn't seem to be at all related since the path on both is
exactly the same, not one longer than the other, and is filtered by
the fstype being "rootfs".  For that matter, this has always seemed
like a bug in the kernel to me: rootfs isn't mounted in /, it is
mounted above / and therefore is not visible to this process, so it
shouldn't be shown in /proc/mounts.

> * suppressing massive bind-mounts with hundreds or thousands of
> bind mounts of the same file system:
> 
> $ for f in $(seq 1000) ; do mkdir dir$f \ && mount -o bind /etc
> dir$f ; \ done and then look at 'df' vs. 'df -a'.

Yes, the whole topic is hiding bind mounts; the question is how to
choose which one to hide.  Why use the path length instead of which
was mounted first?

> * IIRC there was a another issue re. shortening mount information
> like: 
> /dev/disk/by-id/scsi-SATA_Hitachi_HDS7210_JP2911N03AR0WV-part1

Again, that seems totally unrelated.  The by-id is a symlink so it is
followed to the underlying devnode and that's what is reported in
/proc/mounts, and it doesn't have anything to do with the length of
the mount point.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBCgAGBQJSlU+JAAoJEI5FoCIzSKrwJnEH/jYK117dsdMOQWJsSBqYIRUD
fI4ilZjsTPb5n49dlsN4oXI/phzdFvGTKdw3LRNYv2MJhG2KcQScIRqIgV4OT+Rr
9RsRAHtvGF7j89AtdKbu4HVQlFm450WrqAsReg9vnjCrj6q57Ms/CXp4GNHDu1HD
JaNZ/8XlpLAsJR9rz62+R1GCqQF4yZbwRDgudy8gxG1OcXmO24Wk6SE03Q0Ss8Ho
QFSreq9Bpzs4l/BAkqLuAXJAMBHX5gQ1R/URbHv+m3mW6RnCVryjSQmOGd7+wWRn
Y6ttY+OGU9334ckwfsJ4lD448fY2/81ty89NhrkKPuXwZbUj1ocJiZK8SWyfcAE=
=pAtS
-----END PGP SIGNATURE-----




Information forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.

Message received at 15955 <at> debbugs.gnu.org:


Received: (at 15955) by debbugs.gnu.org; 26 Nov 2013 23:38:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 18:38:05 2013
Received: from localhost ([127.0.0.1]:46539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VlSCi-0004Zo-Rq
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2013 18:38:05 -0500
Received: from moutng.kundenserver.de ([212.227.17.8]:51626)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mail@HIDDEN>) id 1VlSCe-0004ZI-Ve
 for 15955 <at> debbugs.gnu.org; Tue, 26 Nov 2013 18:38:02 -0500
Received: from [192.168.1.11] (p57A5C038.dip0.t-ipconnect.de [87.165.192.56])
 by mrelayeu.kundenserver.de (node=mrbap4) with ESMTP (Nemesis)
 id 0MHG1D-1Vq52W03LH-00E4HT; Wed, 27 Nov 2013 00:37:55 +0100
Message-ID: <529530D2.3090507@HIDDEN>
Date: Wed, 27 Nov 2013 00:37:54 +0100
From: Bernhard Voelker <mail@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130329 Thunderbird/17.0.5
MIME-Version: 1.0
To: Phillip Susi <psusi@HIDDEN>
Subject: Re: bug#15955: df hides original mount point instead of bind mount
References: <528FD3B0.7090406@HIDDEN>
 <529000AC.6060709@HIDDEN> <52915175.7080202@HIDDEN>
 <5291D3EA.7060906@HIDDEN> <52928BF1.6060201@HIDDEN>
In-Reply-To: <52928BF1.6060201@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:kH1i+jH4iBp+fSWtMYj+jWPKuGJimtIGhUG2X/n7g/L
 ZiOMXTlv9iWmJtilZk9cxVbqdpj69dL95SWxdZIvLwi31q9eU1
 MY/WLA4xYo4lu4/niByqVEoIPjxDFOxuFcS6xuX8WFFXVnn4aZ
 bgHsrHli8t1pkR0wOEiirhjlCMSJSn0KGdTNfgag7KRDnEWKkp
 Xd4pKD4LxnwpsZeGFtJI5k0W57maAlvCLQfAPL8k/2ILlSS/FD
 Fn2rfaytotPRCfXxxwNjgtQU0CpeoIamSXpClbHxYE9zy8YbE6
 KUUpetBcPW0fvToE/G5Ot5KbGCcOVti6nbqX5zrUuNE6Q87OPC
 z31t2qcXSw2RE7hAlo64ZMO7L/5HvBseef6wAmoHj
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 15955
Cc: 15955 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On 11/25/2013 12:29 AM, Phillip Susi wrote:
> On 11/24/2013 05:24 AM, Bernhard Voelker wrote:
>> Thanks for the suggestion, but that is not possible.  For the kernel,
>> all bind mounts are actually equal among each other, and there's no
>> information about "bind" flags in /proc/self/mounts (which 'df' uses).
> 
> I'm aware of that, but the order they are reported in /proc/mounts at
> least seems to be the order they were mounted in, which seems like it
> would be a better thing to decide which to show and hide than the
> length of the path.

As already mentioned, the current implementation is not ideal.
It is a compromise between the requirements which hit 'df' at that time:

* showing the real root file system instead of early-boot rootfs:

  $ src/df -a | grep ' /$'
  rootfs            12095032   7988888   3491744  70% /
  /dev/sda1         12095032   7988888   3491744  70% /

* suppressing massive bind-mounts with hundreds or thousands of bind
  mounts of the same file system:

    $ for f in $(seq 1000) ; do
        mkdir dir$f \
          && mount -o bind /etc dir$f ; \
      done
  and then look at 'df' vs. 'df -a'.

* IIRC there was a another issue re. shortening mount information like:
  /dev/disk/by-id/scsi-SATA_Hitachi_HDS7210_JP2911N03AR0WV-part1

This has to be discussed in the context of Fedora's currently open
bug reports.

Thanks & have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.

Message received at 15955 <at> debbugs.gnu.org:


Received: (at 15955) by debbugs.gnu.org; 24 Nov 2013 23:30:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 24 18:30:02 2013
Received: from localhost ([127.0.0.1]:42924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vkj7p-0006pr-Ig
	for submit <at> debbugs.gnu.org; Sun, 24 Nov 2013 18:30:02 -0500
Received: from cdptpa-omtalb.mail.rr.com ([75.180.132.120]:34180)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <psusi@HIDDEN>) id 1Vkj7n-0006pb-EA
 for 15955 <at> debbugs.gnu.org; Sun, 24 Nov 2013 18:29:59 -0500
X-Authority-Analysis: v=2.0 cv=CLiorGXD c=1 sm=0 a=3SewDSjaRW4vdJyuxQ33ZQ==:17
 a=DeBnktw0k-IA:10 a=JlIHnqCoHBcA:10 a=RLZVW1yFhcwA:10 a=S1A5HrydsesA:10
 a=8nJEP1OIZ-IA:10 a=fxJcL_dCAAAA:8 a=KGjhK52YXX0A:10 a=lBKPh5FM6RUA:10
 a=QfKxxUxMAAAA:8 a=Fd09wl5mrbSZWTYSpCYA:9 a=wPNLvfGTeEIA:10
 a=3SewDSjaRW4vdJyuxQ33ZQ==:117
X-Cloudmark-Score: 0
X-Authenticated-User: 
X-Originating-IP: 72.238.73.171
Received: from [72.238.73.171] ([72.238.73.171:47191] helo=[192.168.1.6])
 by cdptpa-oedge03.mail.rr.com (envelope-from <psusi@HIDDEN>)
 (ecelerity 2.2.3.46 r()) with ESMTP
 id AA/D8-07327-1FB82925; Sun, 24 Nov 2013 23:29:53 +0000
Message-ID: <52928BF1.6060201@HIDDEN>
Date: Sun, 24 Nov 2013 18:29:53 -0500
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.1.1
MIME-Version: 1.0
To: Bernhard Voelker <mail@HIDDEN>
Subject: Re: bug#15955: df hides original mount point instead of bind mount
References: <528FD3B0.7090406@HIDDEN>
 <529000AC.6060709@HIDDEN> <52915175.7080202@HIDDEN>
 <5291D3EA.7060906@HIDDEN>
In-Reply-To: <5291D3EA.7060906@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15955
Cc: 15955 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 11/24/2013 05:24 AM, Bernhard Voelker wrote:
> Thanks for the suggestion, but that is not possible.  For the kernel,
> all bind mounts are actually equal among each other, and there's no
> information about "bind" flags in /proc/self/mounts (which 'df' uses).

I'm aware of that, but the order they are reported in /proc/mounts at least seems to be the order they were mounted in, which seems like it would be a better thing to decide which to show and hide than the length of the path.



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBCgAGBQJSkovxAAoJEJrBOlT6nu75zPkH/jKoyhDSgjSihw1lIIueSkL0
jHv/Y3ZhUx+mykzxMO4ssPqWaknzgB2HNoFz5U7NcSmUvNyTX9Zt39ZBYJnxqOdb
HOLNxq1vpy2yDk0frHdEH/VEfdnN9D1bniR93uRxW/j8KoFv+i16P34MX+3cQF8M
F/clayut55pSL+NnSVrGLB6eGAyJYEDsoiuq+SBxYO5Tt6zmS1jb7e/ORWdZuwE5
td9snMTLkolB/YqvawsQFHwYCzWbOukC7g7DUKIK85tQnFopqdXb8kSh0O42tdig
xFzkFP8+5np6O1GAPmDVPxX7cpjy8Pw7S0bYg9rr6YF3WeNTwpI9nBWM/AjTpCY=
=QYXB
-----END PGP SIGNATURE-----




Information forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.

Message received at 15955 <at> debbugs.gnu.org:


Received: (at 15955) by debbugs.gnu.org; 24 Nov 2013 10:24:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 24 05:24:52 2013
Received: from localhost ([127.0.0.1]:41616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VkWs0-0002xd-1X
	for submit <at> debbugs.gnu.org; Sun, 24 Nov 2013 05:24:52 -0500
Received: from moutng.kundenserver.de ([212.227.17.8]:57955)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mail@HIDDEN>) id 1VkWrx-0002xQ-C2
 for 15955 <at> debbugs.gnu.org; Sun, 24 Nov 2013 05:24:50 -0500
Received: from [192.168.1.11] (p5499C6C3.dip0.t-ipconnect.de [84.153.198.195])
 by mrelayeu.kundenserver.de (node=mreu4) with ESMTP (Nemesis)
 id 0MKPas-1VmBIK3CrO-001gP6; Sun, 24 Nov 2013 11:24:42 +0100
Message-ID: <5291D3EA.7060906@HIDDEN>
Date: Sun, 24 Nov 2013 11:24:42 +0100
From: Bernhard Voelker <mail@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130329 Thunderbird/17.0.5
MIME-Version: 1.0
To: Phillip Susi <psusi@HIDDEN>
Subject: Re: bug#15955: df hides original mount point instead of bind mount
References: <528FD3B0.7090406@HIDDEN>
 <529000AC.6060709@HIDDEN> <52915175.7080202@HIDDEN>
In-Reply-To: <52915175.7080202@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:69q4Til+5gYKkVuR4qTF96PAI1NXUiKeIliSNk2zeZ4
 HzHOWILLFnkcSbai3r+7rxqRbchoqTBVpP1LAbtiuYLZZqcRVS
 QcgHG6or6HtMu0H9F8hwlWew5KzaDIgRsgGax3dHyOrRikaf3J
 fVXR21/RsOzojY2TYrvZwQQqTe2ZCfyALh9t/jn6mw5efeRsTx
 zP/iz8wooQbNG45X8ZpX0aUgPiZXxzji6ENSzxu+N+k+hYgQy0
 GBObxXvN0frLF9bZW1NqTK6ShzUmmQnBkEKUysMRnvBfFuVYb/
 09y7UpllmBdH4OhQYlEstP0O8B30LL2uqwm+vJjWs/rI+ur8W3
 lDywCd8RO9vV7ocGOn417s8B1A1Vw5ZqcN/tUo9lA
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 15955
Cc: 15955 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On 11/24/2013 02:08 AM, Phillip Susi wrote:
> On 11/22/2013 08:11 PM, Bernhard Voelker wrote:
>> Thanks for the bug report.
>> However, IIRC that behavior was fixed in v8.21.  Since then, df(1)
>> shows the *shortest* mount point for the same bind mount.
>> Looking into the Fedora bug tracker, this method of reducing duplicates
>> among (possibly mass) bind mounts seems also not to have too many fans,
>> but until now we didn't find a better method.
> 
> Yes, that explains it; I had bound a longer path to /mnt to test.
> Why not show the oldest mount point instead?

Thanks for the suggestion, but that is not possible.  For the kernel,
all bind mounts are actually equal among each other, and there's no
information about "bind" flags in /proc/self/mounts (which 'df' uses).

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.

Message received at 15955 <at> debbugs.gnu.org:


Received: (at 15955) by debbugs.gnu.org; 24 Nov 2013 01:08:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 20:08:14 2013
Received: from localhost ([127.0.0.1]:40898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VkOBK-0004tQ-Im
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2013 20:08:14 -0500
Received: from cdptpa-omtalb.mail.rr.com ([75.180.132.120]:55719)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <psusi@HIDDEN>) id 1VkOBH-0004sy-Ri
 for 15955 <at> debbugs.gnu.org; Sat, 23 Nov 2013 20:08:12 -0500
X-Authority-Analysis: v=2.0 cv=IPSA+3TG c=1 sm=0 a=3SewDSjaRW4vdJyuxQ33ZQ==:17
 a=DeBnktw0k-IA:10 a=JlIHnqCoHBcA:10 a=RLZVW1yFhcwA:10 a=S1A5HrydsesA:10
 a=8nJEP1OIZ-IA:10 a=fxJcL_dCAAAA:8 a=KGjhK52YXX0A:10 a=lBKPh5FM6RUA:10
 a=QfKxxUxMAAAA:8 a=Kq-ECimEAWhHHzPlBtAA:9 a=wPNLvfGTeEIA:10
 a=3SewDSjaRW4vdJyuxQ33ZQ==:117
X-Cloudmark-Score: 0
X-Authenticated-User: 
X-Originating-IP: 72.238.73.171
Received: from [72.238.73.171] ([72.238.73.171:42929] helo=[192.168.1.6])
 by cdptpa-oedge02.mail.rr.com (envelope-from <psusi@HIDDEN>)
 (ecelerity 2.2.3.46 r()) with ESMTP
 id 91/D0-09582-57151925; Sun, 24 Nov 2013 01:08:06 +0000
Message-ID: <52915175.7080202@HIDDEN>
Date: Sat, 23 Nov 2013 20:08:05 -0500
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.1.1
MIME-Version: 1.0
To: Bernhard Voelker <mail@HIDDEN>
Subject: Re: bug#15955: df hides original mount point instead of bind mount
References: <528FD3B0.7090406@HIDDEN>
 <529000AC.6060709@HIDDEN>
In-Reply-To: <529000AC.6060709@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15955
Cc: 15955 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 11/22/2013 08:11 PM, Bernhard Voelker wrote:
> Thanks for the bug report.
> However, IIRC that behavior was fixed in v8.21.  Since then, df(1)
> shows the *shortest* mount point for the same bind mount.
> Looking into the Fedora bug tracker, this method of reducing duplicates
> among (possibly mass) bind mounts seems also not to have too many fans,
> but until now we didn't find a better method.

Yes, that explains it; I had bound a longer path to /mnt to test.  Why not show the oldest mount point instead?

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBCgAGBQJSkVF1AAoJEJrBOlT6nu75BEsH/33/CiryhhAAZ8LbXm/9WAcs
KlI9qBN6WYc49kvH2Gb1wipaX9BBRpIrg9bsz3rC+T2MVTzxyEw8y6ZW6Iades7Z
8K2z1Rj8jZs3dD35wJVJFjM/Zy2ypzLsd8+Fcx9xlPRXJa5zB0LMYz9rfPdn/GnG
3j1O/gAa8OR3KtHMZHFGeXr4oQaQe+cxcMEsn7OZpJsQJBB0NJ3CkS+O62ClAepH
ZLdxzqmx3ZrW4ZOt1f7PrHWQ6+E9g3RqBGyTRJ/FiWdAqb+g5Wbnu9ofzMKyKxAE
nHQAM1KeBiYA8Vp5txw22p0YQKWtbiOta4rj7kauj13Xxo+ZlloSqWHuzVvuBKE=
=cxmb
-----END PGP SIGNATURE-----




Information forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.

Message received at 15955 <at> debbugs.gnu.org:


Received: (at 15955) by debbugs.gnu.org; 23 Nov 2013 01:11:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 20:11:18 2013
Received: from localhost ([127.0.0.1]:39101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vk1kj-0005Aj-Lw
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2013 20:11:18 -0500
Received: from moutng.kundenserver.de ([212.227.17.8]:65136)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mail@HIDDEN>) id 1Vk1kh-0005AW-VD
 for 15955 <at> debbugs.gnu.org; Fri, 22 Nov 2013 20:11:16 -0500
Received: from [192.168.1.11] (p5499C6C3.dip0.t-ipconnect.de [84.153.198.195])
 by mrelayeu.kundenserver.de (node=mrbap1) with ESMTP (Nemesis)
 id 0LvPiV-1VcIQQ2nsR-0106JC; Sat, 23 Nov 2013 02:11:09 +0100
Message-ID: <529000AC.6060709@HIDDEN>
Date: Sat, 23 Nov 2013 02:11:08 +0100
From: Bernhard Voelker <mail@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130329 Thunderbird/17.0.5
MIME-Version: 1.0
To: Phillip Susi <psusi@HIDDEN>
Subject: Re: bug#15955: df hides original mount point instead of bind mount
References: <528FD3B0.7090406@HIDDEN>
In-Reply-To: <528FD3B0.7090406@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:Rh8VZykdsFxoFLVVPZYWG05J/6rx9905PFKH3irzxlP
 1i+mFtX7+BirIVCJTY1LUr1ij9Wm2Palo6f0KHN+hk1a/q+4v7
 1gAPYhPoxTqC3tsrci2pODk/V+kB/dguV5fcZyDbZrWtZLaDAk
 VY6WuVY8n+r3itxndxuB/YsqisygEOEZ7KKJA8NcH+Y1JKmoVO
 W15Zb/wm3pDpUQZgYchRUxiczwiuSnN+FWPl7lDW3uKpNINwMC
 E063F4y5Hh0s7Tn2JQ1Nn/rmqyg4No6vpLFvYzyMbATVCvPqKY
 tVQSrlh8DeOnHPsMTJ/NGHThysmDuj64FuEvM5Hl9Q774CXsuD
 AuON7EGPSUj5X7ru+2figDgDfl3NTYXzzqb+jgWSF
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 15955
Cc: 15955 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

tag 15955 notabug
thanks

On 11/22/2013 10:59 PM, Phillip Susi wrote:
> Without /etc/mtab, df tries to hide mount points by detecting
> duplicates and only showing the *last* instance in /proc/mounts, but
> this causes the bind mount to be shown rather than the original.  It
> should show the *first* instance instead.

Thanks for the bug report.
However, IIRC that behavior was fixed in v8.21.  Since then, df(1)
shows the *shortest* mount point for the same bind mount.
Looking into the Fedora bug tracker, this method of reducing duplicates
among (possibly mass) bind mounts seems also not to have too many fans,
but until now we didn't find a better method.

Have a nice day,
Berny





Information forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2013 21:59:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 16:59:43 2013
Received: from localhost ([127.0.0.1]:39045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VjylK-00005k-NI
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2013 16:59:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47742)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <psusi@HIDDEN>) id 1VjylI-00005W-9f
 for submit <at> debbugs.gnu.org; Fri, 22 Nov 2013 16:59:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <psusi@HIDDEN>) id 1Vjyl6-00076D-2w
 for submit <at> debbugs.gnu.org; Fri, 22 Nov 2013 16:59:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_00,
 RCVD_IN_BL_SPAMCOP_NET autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59421)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <psusi@HIDDEN>) id 1Vjyl6-000769-0w
 for submit <at> debbugs.gnu.org; Fri, 22 Nov 2013 16:59:28 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49416)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <psusi@HIDDEN>) id 1Vjykz-0007Zm-SI
 for bug-coreutils@HIDDEN; Fri, 22 Nov 2013 16:59:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <psusi@HIDDEN>) id 1Vjykt-000744-NI
 for bug-coreutils@HIDDEN; Fri, 22 Nov 2013 16:59:21 -0500
Received: from cdptpa-omtalb.mail.rr.com ([75.180.132.120]:48899)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <psusi@HIDDEN>) id 1Vjykt-00073q-JC
 for bug-coreutils@HIDDEN; Fri, 22 Nov 2013 16:59:15 -0500
X-Authority-Analysis: v=2.0 cv=FKiZNpUs c=1 sm=0 a=/DbS/tiKggfTkRRHPZEB4g==:17
 a=Qsx_du5GiBkA:10 a=h_Sp9wbh10QA:10 a=HLmuuyyFiwMA:10 a=S1A5HrydsesA:10
 a=8nJEP1OIZ-IA:10 a=fxJcL_dCAAAA:8 a=KGjhK52YXX0A:10 a=tu-9PeCJaDYA:10
 a=QfKxxUxMAAAA:8 a=M1oHQXBvgv6ZhsbELnMA:9 a=wPNLvfGTeEIA:10
 a=/DbS/tiKggfTkRRHPZEB4g==:117
X-Cloudmark-Score: 0
X-Authenticated-User: 
X-Originating-IP: 67.78.168.186
Received: from [67.78.168.186] ([67.78.168.186:62942] helo=[10.1.1.236])
 by cdptpa-oedge03.mail.rr.com (envelope-from <psusi@HIDDEN>)
 (ecelerity 2.2.3.46 r()) with ESMTP
 id 0B/45-01931-0B3DF825; Fri, 22 Nov 2013 21:59:13 +0000
Message-ID: <528FD3B0.7090406@HIDDEN>
Date: Fri, 22 Nov 2013 16:59:12 -0500
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.1.1
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: df hides original mount point instead of bind mount
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Without /etc/mtab, df tries to hide mount points by detecting
duplicates and only showing the *last* instance in /proc/mounts, but
this causes the bind mount to be shown rather than the original.  It
should show the *first* instance instead.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJSj9OwAAoJEJrBOlT6nu75iqMH/2oTK6DKfC20uUCuc5qyfsOA
Y954sOrnPVRADxMriJp/n+oka4oKmcYuqkuf7CHKMoD31ooc2lBReJPRsERqDR+W
T5fBgFIxJfmE56Vr+kAXrPGCuPhOnqEgMGUQO1SX/1JEtCOYpJmzIscpNv0kPC8a
d0W8VXm6f4GoXtCJSYwBgvLVZiaF3g6/DBefsBlqpx8K6zcm5dyWdbn6JZM18WVQ
/X0kavndAWd8hSk+bajnVyUI+LGn3b+4OKpusGY9FnxKp+O6Db6eW3KcE655iuHH
XMkNSrGIxVYQ+RcF8jG29zrxxgZ2Mg0IBi7xMynwAFDWlAGkMjqRV4IbY/UFYcc=
=fo2R
-----END PGP SIGNATURE-----




Acknowledgement sent to Phillip Susi <psusi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#15955; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.